%define major		0
%define apiver		2.0
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname %{name} -d
%define develsname	%mklibname %{name} -d -s

%define sname	SDL2_mixer

Summary:	Simple DirectMedia Layer 2 - mixer
Name:		sdl2_mixer
Version:	2.8.0
Release:	%mkrel 1
License:	zlib
Group:		System/Libraries
URL:		https://www.libsdl.org/projects/SDL_mixer/
Source0:	https://www.libsdl.org/projects/SDL_mixer/release/%{sname}-%{version}.tar.gz

BuildRequires:	dos2unix
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(sdl2) >= 2.0.7
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(zlib)

%description
SDL2_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{apiver}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/C
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{sname}-static-devel = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{name}-player
Summary:	Players using %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	SDL_mixer-player

%description -n %{name}-player
This package contains binary to test the associated library.

%prep
%autosetup -p1 -n %{sname}-%{version}

dos2unix CHANGES.txt LICENSE.txt README.txt

%build
%configure	--enable-music-mod \
		--disable-music-ogg-shared \
		--disable-music-opus-shared \
		--disable-music-flac-shared
%make_build

%install
%make_install install-bin

%files -n %{name}-player
%doc README.txt
%{_bindir}/playwave
%{_bindir}/playmus

%files -n %{libname}
%license LICENSE.txt
%doc CHANGES.txt
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/%{sname}.pc
%{_libdir}/cmake/%{sname}/

%files -n %{develsname}
%{_libdir}/*.a


%changelog
* Thu Feb 01 2024 daviddavid <daviddavid> 2.8.0-1.mga10
+ Revision: 2036692
- new version: 2.8.0

* Thu Feb 09 2023 daviddavid <daviddavid> 2.6.3-1.mga9
+ Revision: 1939561
- new version: 2.6.3

* Fri Dec 02 2022 daviddavid <daviddavid> 2.6.2-1.mga9
+ Revision: 1913981
- new version: 2.6.2

* Sun Nov 20 2022 wally <wally> 2.0.4-6.mga9
+ Revision: 1909283
- rebuild for flac 1.4.2

* Fri Apr 01 2022 umeabot <umeabot> 2.0.4-5.mga9
+ Revision: 1839601
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 2.0.4-4.mga9
+ Revision: 1789997
- fix files list

* Sat Feb 15 2020 umeabot <umeabot> 2.0.4-3.mga8
+ Revision: 1526059
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Apr 25 2019 akien <akien> 2.0.4-2.mga7
+ Revision: 1395275
- Enable opus support

* Sat Nov 03 2018 daviddavid <daviddavid> 2.0.4-1.mga7
+ Revision: 1327916
- new version: 2.0.4

* Sun Sep 23 2018 umeabot <umeabot> 2.0.2-3.mga7
+ Revision: 1300974
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 shlomif <shlomif> 2.0.2-2.mga7
+ Revision: 1241570
- Add mp3/etc. support.

* Sat Dec 30 2017 akien <akien> 2.0.2-1.mga7
+ Revision: 1187694
- Version 2.0.2

* Sun Jan 10 2016 akien <akien> 2.0.1-1.mga6
+ Revision: 921103
- Version 2.0.1

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 740336
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 689091
- Mageia 5 Mass Rebuild

* Tue May 13 2014 akien <akien> 2.0.0-2.mga5
+ Revision: 622563
- Fix libmodplug includes

* Sun Dec 08 2013 akien <akien> 2.0.0-1.mga4
+ Revision: 555865
- Adapted forked spec file to sdl2_mixer (new apiver)
- Removed patches obsoleted by upstream
- Added BR on fluidsynth and modplug
- Forking SDL_mixer into sdl2_mixer
+ blue_prawn <blue_prawn>
- fixed the license, and static split
+ colin <colin>
- Apply Fedora patches for latest mikmod
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ shlomif <shlomif>
- Rebuild, in order to get playmus working again.
+ fwang <fwang>
- new version 1.2.12
- clean up spec
- rebuild for new dfb
+ ahmad <ahmad>
- Drop BR nas-devel (is nas sound still used?)
- Modify configure options; s/enable-music-libmikmod/enable-music-mod/, the former
  isn't recognised by the configure script
+ misc <misc>
- remove uneeded requires on esound-devel, it compile fine without it
+ boklm <boklm>
- increase release to make it higher than mdv2010.1
+ supp <supp>
- remove unneeded smpeg BuildRequire
- add patch (from upstream) fixing some uninitialized values...
- imported package SDL_mixer

